=head1 NAME

rrdfirst - Return the date of the first data sample in an RRA within an RRD

=head1 SYNOPSIS

B<rrdtool> B<first> I<filename> [B<--rraindex> I<number>] [B<--daemon>|B<-d> I<address>]

=head1 DESCRIPTION

The B<first> function returns the UNIX timestamp of the first data
sample entered into the specified RRA of the RRD file.

=over 8

=item I<filename>

The name of the B<RRD> that contains the data.

=item B<--rraindex> I<number>

The index number of the B<RRA> that is to be examined. If not specified, the
index defaults to zero. B<RRA> index numbers can be determined through
B<rrdtool info>.

=item B<--daemon>|B<-d> I<address>

Address of the L<rrdcached> daemon.  For a list of accepted formats, see 
the B<-l> option in the L<rrdcached> manual.

 rrdtool first --daemon unix:/var/run/rrdcached.sock /var/lib/rrd/foo.rrd

=back

=head1 AUTHOR

Burton Strauss <Burton@ntopSupport.com>
Daemon support added by Steve Shipway <steve@steveshipway.org>

